Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 251736 - Discovery for Project from existing source should help user to detect incorrectly specified compiler
Discovery for Project from existing source should help user to detect incorre...
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Project Discovery
8.1
All All
: P3 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-09 14:04 UTC by Vladimir Voskresensky
Modified: 2016-04-27 02:25 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2015-04-09 14:04:48 UTC
when making project from existing source IDE allow to specify toolchain.
Then user should specify build process.
I've faced customers env where compiler was not in path, but detected by build system directly.
So the used compiler by IDE and user are different.

Expected:
1) IDE warn if intercepted use of compiler is different from specified in Wizard
2) IDE propose to create toolchain for compiler set used by build system and assign it to project before parsing project using incorrect compiler specified by user
Comment 1 Quality Engineering 2016-04-09 01:59:08 UTC
Integrated into 'main-silver', will be available in build *201604090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d6df1ad86f65
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #251736 Discovery for Project from existing source should help user to detect incorrectly specified compiler
Comment 2 Quality Engineering 2016-04-27 02:25:35 UTC
Integrated into 'main-silver', will be available in build *201604270002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/61bd29759e92
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #251736 Discovery for Project from existing source should help user to detect incorrectly specified compiler
- fix unit test (do not show UI in unit test or standalone mode)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo